#include <iostream>
using namespace std;


int main(int argc, char** argv) {
	int n,k,i,dmj,dj,dn,s,j,x[2];
	dmj = 0;
	dj=0;
	dn=0;
	s=0;
	cin>>n>>k;
	if(n<k) cout<<0<<endl;
	else{
	int a[n];
	for(i=0;i<n;i=i+1){
		cin>>a[i];
		if(a[i]=-1) {
		dmj = dmj + 1;
		}
		if(a[i]=1) {
		dj = dj + 1;
		}
		if(a[i]=0) {
		dn = dn + 1;
		}
	}
	i = 0;
	if(k<=dmj){
		s=s+1;
		x[i]=-1;
		i = i+1;
	}
	if(dj>=k){
		s=s+1;
		x[i]=1;
		i = i+1;
	}
	if(dn>=k){
		s=s+1;
		x[i]=0;
		i=i+1;
	}
	cout<<s<<endl;
	for(j=0;j<i;j=j+1){
     cout<<x[j]<<" ";
	}
	cout<<endl;
}
	return 0;
}